<HTML>
<HEAD><TITLE>File list</TITLE></HEAD>
<%@ page import="java.io.*, javax.media.jai.*"%>
<jsp:useBean id="edgeDetector" scope="session" class="viewer.JAIEdgeDetectBean" />
<%
  response.setContentType("image/jpeg");
  String path1 = (String)session.getValue("imagepath");
  String par = request.getParameter("images");
  //if (par == null) par = "lena.gif";
  String imagepath = path1+File.separator+par;
  //System.out.println("imagepath = "+imagepath);
  ServletOutputStream out1 = response.getOutputStream();
  edgeDetector.edgeDetectAndPost(imagepath, out1);
 %>
</BODY></HTML>